use CORBA::ORBit idl => [ qw(/nfs/disk12/kmr/zoo/idl/qualifier_editor.idl) ];

package QualifierEditor::CorbaEditor;

use strict;

use Cwd;
use Tk;
use Tk::Text;
use QualifierEditor::App 'create_app';

@QualifierEditor::CorbaEditor::ISA = qw (POA_Artemis::Qualifiers::Editor);

sub new {
  my ($class) = @_;

  my $self = bless {}, $class;

  $self;
}

######################################################################

sub edit_qualifiers
{
  my ($self, $directory, $old_qualifiers_string) = @_;
  print STDERR "in edit_qualifiers ()\n";

  my $top;

  # set by $ok_callback
  my $new_qualifiers_string;

  my $ok_callback = sub {
    my ($new_qualifiers_string_arig) = @_;

    $new_qualifiers_string = $new_qualifiers_string_arig;

    $top->destroy;
  };

  my $cancel_callback =  sub {
    $top->destroy;
  };

  $top = create_app ($directory, $old_qualifiers_string,
                     $ok_callback, $cancel_callback);

  print STDERR "main loop\n";
  Tk::MainLoop;
  print STDERR "end of main loop\n";

  return $new_qualifiers_string;
}

